Bug 194849 - [new port] science/mcstas-tools-p5: Perl base utility tools for the McStas Monte Carlo neutron ray tracing package
Summary: [new port] science/mcstas-tools-p5: Perl base utility tools for the McStas Mo...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-06 00:19 UTC by Erik B Knudsen
Modified: 2015-11-20 23:35 UTC (History)
1 user (show)

See Also:


Attachments
The McStas 2.1 perl tools (26.40 KB, application/x-shar)
2014-11-06 00:19 UTC, Erik B Knudsen
no flags Details
McStas perl tools for McStas 2.1 (26.52 KB, application/x-shar)
2014-11-11 09:25 UTC, Erik B Knudsen
no flags Details
p5-mcstas-tools port reworked (8.39 KB, patch)
2015-03-09 23:33 UTC, Rodrigo Osorio
no flags Details | Diff
New reworked version incl upgrade to mcstas 2.2a (15.70 KB, patch)
2015-11-02 13:28 UTC, Erik B Knudsen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Erik B Knudsen 2014-11-06 00:19:23 UTC
Created attachment 149105 [details]
The McStas 2.1 perl tools

During the upgrade to McStas 2.1 it was decide to split the port in kernel components and tools. The is the perl version of the utility tools
Comment 1 Erik B Knudsen 2014-11-11 09:25:38 UTC
Created attachment 149278 [details]
McStas perl tools for McStas 2.1

Found a bug in the old archive - the pkg-descr was wrong.
Comment 2 Rodrigo Osorio freebsd_committer 2015-02-23 23:23:09 UTC
still interested by madding this port ?
Comment 3 Erik B Knudsen 2015-02-24 00:38:12 UTC
Indeed I am. New to porting as I may be.
Comment 4 Rodrigo Osorio freebsd_committer 2015-02-24 12:20:23 UTC
cool.
Comment 5 Rodrigo Osorio freebsd_committer 2015-03-09 23:33:58 UTC
Created attachment 154115 [details]
p5-mcstas-tools port reworked
Comment 6 Rodrigo Osorio freebsd_committer 2015-03-09 23:42:02 UTC
Hi,

I found several flaws in your port ans try to fix it in the
most elegant way. The port is not ready enough and extra
work is required.
For now :
- I fix the port name to fulfill the naming style
- I fix distfile management (fetch and extract)
- I fix dependencies (for now I remove PDL, a really annoying one
  we will see in the future is PDL is really required or not)

Todo:
- After install we have broken symlinks (patch needed)
- Test the port with real data

Feel free to ask questions if you have, we are here to work together.
Comment 7 Erik B Knudsen 2015-03-11 20:34:26 UTC
(In reply to Rodrigo Osorio from comment #6)
Hi,

Thank you very much for editing and pointing out some deficiencies - my expressed aim is to make it as "standard" as possible. For sure I have made some beginners mistakes. 

Regarding PDL. It is indeed needed. If not some of the tools included in this port will not work. It is annoying, agreed. but unfortunately still necessary.

Question:
I notice you have moved some tar-logic from post-fetch to do-extract and rewritten it.I see that it is an extraction step and so logically should be in the extract section, is there some  practical reason to have it there as opposed to the way it was before. I am probably missing something simple here.

Otherwise I will go ahead and do some more work and testing on the port so that it gets up to par.

Again thanks for the edits and comments

cheers
Erik
Comment 8 Rodrigo Osorio freebsd_committer 2015-03-15 23:24:51 UTC
(In reply to Erik B Knudsen from comment #7)
Hi, sorry for the delay.

In fact I rewrote the fetch extract process cause it was done the wrong way.
We don't use to perform files manipulation in the DISTFILE dir ; we have the word dir, so use it.
I also can argue that some variables were misused, making the makefile too complex.
My last comment is: don't add comments on Makefiles, most of the time
the code is auto-descriptive.

Feel free to contact me if you need a review
Comment 9 Rodrigo Osorio freebsd_committer 2015-06-29 19:51:40 UTC
This PR is opened for a long time, let me know if you need time or any help porting the tool.

regards
- rodrigo
Comment 10 Erik B Knudsen 2015-06-29 22:33:28 UTC
(In reply to Rodrigo Osorio from comment #9)
I'll need a bit more time - I've been away on leave for a while and so could not work on this.

cheers
Erik
Comment 11 Erik B Knudsen 2015-11-02 13:28:08 UTC
Created attachment 162704 [details]
New reworked version incl upgrade to mcstas 2.2a

New version following advice by R. Osorio.

The Makefile has been simplified.

pkg-install moved to files/ to allow portversion to be inherited, as McStas by default installs to PREFIX/mcstas/VERSION/...

The McStas team have been persuaded to not bundle everything in a single tarball
avoiding involved unpacking.

Furthermore - now tracking the latest version of McStas - 2.2a
Comment 12 Rodrigo Osorio freebsd_committer 2015-11-12 00:10:52 UTC
last version looks fine, I still testing.
Comment 13 commit-hook freebsd_committer 2015-11-20 23:34:55 UTC
A commit references this bug:

Author: rodrigo
Date: Fri Nov 20 23:34:40 UTC 2015
New revision: 402111
URL: https://svnweb.freebsd.org/changeset/ports/402111

Log:
  Add new port p5-Mcstas-Tools, a general tool for simulating neutron scattering instruments and experiments

  PR:		194849
  Submitted by:	Erik B Knudsen <erkn@fysik.dtu.dk>

Changes:
  head/science/Makefile
  head/science/p5-Mcstas-Tools/
  head/science/p5-Mcstas-Tools/Makefile
  head/science/p5-Mcstas-Tools/distinfo
  head/science/p5-Mcstas-Tools/files/
  head/science/p5-Mcstas-Tools/files/pkg-install.in
  head/science/p5-Mcstas-Tools/pkg-descr
  head/science/p5-Mcstas-Tools/pkg-plist
Comment 14 Rodrigo Osorio freebsd_committer 2015-11-20 23:35:29 UTC
Committed with minor changes, thanks